
package com.tmerclub.cloud.im.dto;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 客服自动回复表VO
 *
 * @author tmerclub
 * @date 2023-03-23 17:43:40
 */
public class ImMsgBizSkillsDTO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "客服自动回复id")
    private Long id;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "关键字")
    private String keywords;

    @Schema(description = "回复内容")
    private String content;

    @Schema(description = "状态")
    private Integer status;

    @Schema(description = "备注")
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getKeywords() {
        return keywords;
    }

    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "ImMsgBizSkillsVO{" +
                "id=" + id +
                ",shopId=" + shopId +
                ",keywords=" + keywords +
                ",content=" + content +
                ",status=" + status +
                ",remark=" + remark +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                '}';
    }
}
